@charset "UTF-8";

.main-common p {
    line-height: 1.7;
    font-size: 18px;
    margin-bottom: 20px;
    text-align: left;
}

.main-common ol {
    text-align: left;
    padding-left: 20px;
    margin-bottom: 30px;
}

.main-common ol li {
    list-style-type: decimal;
    line-height: 1.6;
    font-size: 16px;
}

.main-common h2 {
    text-align: left;
    margin: 30px 0;
    font-size: 1.5rem;
}

.main-title {
    padding-top: 0;
}


.code-container {
    background-color: #f9f9f9;
    border: 1px solid #ccc;
    padding: 20px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

pre {
    background-color: #f4f4f4;
    padding: 20px;
    border-left: 3px solid #ccc;
    overflow-x: auto;
    font-family: 'Courier New', Courier, monospace;
    color: #333;
    font-size: 1rem;
    line-height: 1.5;
}

button {
    background-color: #4CAF50;
    color: white;
    border: none;
    padding: 10px 20px;
    margin-top: 20px;
    font-size: 16px;
    cursor: pointer;
    border-radius: 5px;
}

button:hover {
    background-color: #45a049;
}


/* 動画埋め込み */
.responsive-video-container {
    position: relative;
    padding-bottom: 56.25%;
    /* 16:9 アスペクト比 */
    height: 0;
    overflow: hidden;
    margin-bottom: 30px;
}

.responsive-video-container iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.menubox-frame {
    display: none;
}

@media screen and (max-width:1180px) {

    .header-inner {
        overflow: hidden;
    }

    .logobox-menu {
        width: 50%;
        float: left;
        position: inherit;
    }

    .menubox-frame {
        display: inline;
        width: 50%;
        float: right;
        position: inherit;
    }

    .menubox-frame ul li {
        text-align: right;
    }

    .menubox-frame ul li a {
        line-height: 60px;
        text-decoration: none;
        color: #000000;
        font-size: 14px;
        text-align: right;
        padding: 0 4px;
    }
}

@media screen and (max-width: 992px) {
    .responsive-img {
        width: inherit;
    }
}

@media screen and (max-width: 768px) {
    .site-title {
        width: 180px;
    }

    .tool-box li {
        width: 50%;
        float: left;
        list-style: none;
        text-align: center;
        padding: 8px;
        box-sizing: border-box;
    }
}